pcr_install_utility_packages() {
    if [ -z "$PCR_PACKAGE_ROOT" ]; then
        PCR_PACKAGE_ROOT="/tmp/root"
    fi
    if ! [ -f "$PCR_PACKAGE_ROOT/.pcr_install_utility_packages_done" ]; then
        mkdir -p "$PCR_PACKAGE_ROOT"
        for F in "$HERE"/*.ipk; do
            if [ -f "$F" ]; then
                tar xOzf "$F" "."/data.tar.gz|tar -C $PCR_PACKAGE_ROOT -xzf -
            fi
        done
        touch "$PCR_PACKAGE_ROOT/.pcr_install_utility_packages_done"
    fi
    if [ -z "$PCR_UTILITY_PACKAGES_CONFIGURED" ]; then
        export PATH="$PCR_PACKAGE_ROOT/bin:$PCR_PACKAGE_ROOT/sbin:$PCR_PACKAGE_ROOT/usr/bin:$PCR_PACKAGE_ROOT/usr/sbin:$PATH"

        if [ -z "$LD_LIBRARY_PATH" ]; then
            LD_LIBRARY_PATH=/lib:/usr/lib
        fi
        export LD_LIBRARY_PATH="$PCR_PACKAGE_ROOT/lib:$PCR_PACKAGE_ROOT/usr/lib:$LD_LIBRARY_PATH"

        if [ -z "$LUA_PATH" ]; then
            LUA_PATH='./?.lua;/usr/share/lua/?.lua;/usr/share/lua/?/init.lua'
            LUA_PATH="$LUA_PATH;/usr/lib/lua/?.lua;/usr/lib/lua/?/init.lua"
        fi
        LUA_PATH="$PCR_PACKAGE_ROOT/usr/lib/lua/?.lua;$PCR_PACKAGE_ROOT/usr/lib/lua/?/init.lua;$LUA_PATH"
        LUA_PATH="$PCR_PACKAGE_ROOT/usr/share/lua/?.lua;$PCR_PACKAGE_ROOT/usr/share/lua/?/init.lua;$LUA_PATH"
        export LUA_PATH

        if [ -z "$LUA_CPATH" ]; then
            LUA_CPATH='./?.so;/usr/lib/lua/?.so;/usr/lib/lua/loadall.so'
        fi
        export LUA_CPATH="$PCR_PACKAGE_ROOT/usr/lib/lua/?.so;$LUA_CPATH;$PCR_PACKAGE_ROOT/usr/lib/lua/loadall.so"
        PCR_UTILITY_PACKAGES_CONFIGURED="1"
    fi
}
